import { authInstance } from "@shared";
import { makeAutoObservable, runInAction } from "mobx";

export type Article = {
  id: string;
  heading: string;
  body: string;
  service_name: string;
};

class ArticlesStore {
  constructor() {
    makeAutoObservable(this);
  }

  articles: Article[] = [];
  articleData: Article | null = null;

  getArticles = async () => {
    const response = await authInstance.get("/article");

    runInAction(() => {
      this.articles = response.data;
    });
  };

  getArticle = async (id: string) => {
    const response = await authInstance.get(`/article/${id}`);

    runInAction(() => {
      this.articleData = response.data;
    });
  };
}

export const articlesStore = new ArticlesStore();
